Bug 1022024 - Remove versioned jar files/symlinks from non-compat packages
Remove versioned jar files/symlinks from non-compat packages
Status: NEW
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Stanislav Ochotnicky
: Tracking
Depends On: 1022080 1022081 1022083 1022084 1022085 1022086 1022087 1022089 1022090 1022091 1022092 1022093 1022095 1022097 1022098 1022099 1022100 1022101 1022102 1022103 1022104 1022105 1022106 1022107 1022108 1022110 1022111 1022112 1022113 1022115 1022116 1022117 1022118 1022119 1022120 1022121 1022122 1022123 1022124 1022125 1022126 1022127 1022128 1022129 1022130 1022131 1022132 1022133 1022134 1022135 1022137 1022138 1022139 1022140 1022141 1022142 1022143 1022144 1022145 1022146 1022147 1022148 1022149 1022150 1022151 1022152 1022153 1022155 1022156 1022157 1022158 1022159 1022161 1022162 1022163 1022164 1022165 1022166 1022167 1022168 1022169 1022170 1022171 1022172 1022173 1022174 1023005 1219220 1277450
Blocks: FE-JAVASIG
  Show dependency treegraph
 
Reported: 2013-10-22 10:02 EDT by Stanislav Ochotnicky
Modified: 2017-02-22 11:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 10:02:28 EDT
This is a tracking bug to remove versioned jars from Fedora packages.

JAR files in %{_javadir} (/usr/share/java) MUST NOT be versioned unless the package is a compat version of a different package[1]

Versioned JAR files confuse automatic requires generator and cause broken packages being built.

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
[2] https://fedoraproject.org/wiki/Packaging:Java#Compatibility_packages

Note You need to log in before you can comment on or make changes to this bug.